

HAND_PALM_CONNECTIONS = ((0, 1), (0, 5), (9, 13), (13, 17), (5, 9), (0, 17))

HAND_THUMB_CONNECTIONS = ((1, 2), (2, 3), (3, 4))

HAND_INDEX_FINGER_CONNECTIONS = ((5, 6), (6, 7), (7, 8))

HAND_MIDDLE_FINGER_CONNECTIONS = ((9, 10), (10, 11), (11, 12))

HAND_RING_FINGER_CONNECTIONS = ((13, 14), (14, 15), (15, 16))

HAND_PINKY_FINGER_CONNECTIONS = ((17, 18), (18, 19), (19, 20))


HAND_CONNECTIONS_FULL = frozenset().union(*[
    HAND_PALM_CONNECTIONS, 
    HAND_THUMB_CONNECTIONS,
    HAND_INDEX_FINGER_CONNECTIONS, 
    HAND_MIDDLE_FINGER_CONNECTIONS,
    HAND_RING_FINGER_CONNECTIONS, 
    HAND_PINKY_FINGER_CONNECTIONS
])


HAND_CONNECTIONS = frozenset().union(*[
    # # HAND_PALM_CONNECTIONS, 
    HAND_THUMB_CONNECTIONS,
    HAND_INDEX_FINGER_CONNECTIONS, 
    HAND_MIDDLE_FINGER_CONNECTIONS,
    HAND_RING_FINGER_CONNECTIONS, 
    HAND_PINKY_FINGER_CONNECTIONS
])


# POSE_CONNECTIONS = frozenset([(11, 13),
#                               (13, 15),
#                                 # (15, 17), (15, 19), (15, 21), (17, 19),
#                                 # (16, 18), (16, 20), (16, 22), (18, 20),
#                               (12, 14), (14, 16), 
                              
#                                # (23, 25),
#                                # (24, 26), (25, 27), (26, 28), (27, 29), (28, 30),
#                                # (29, 31), (30, 32), (27, 31), (28, 32)
#                               ]
#                               )



POSE_CONNECTIONS = frozenset([
                              # (0, 1), (1, 2), (2, 3), (3, 7), (0, 4), (4, 5),
                              # (5, 6), (6, 8), (9, 10), 
                              (11, 12), (11, 13),
                              (13, 15), 
                              # (15, 17),(15, 19), (15, 21), (17, 19),
                              (12, 14), (14, 16), 
                              # (16, 18), (16, 20), (16, 22),(18, 20), 
                              (11, 23), (12, 24), (23, 24), 
                              # (23, 25),(24, 26), (25, 27), (26, 28), (27, 29), (28, 30),
                              # (29, 31), (30, 32), (27, 31), (28, 32)
                              ])





HAND_PALM_CONNECTIONS = ((0, 1), (0, 5), (9, 13), (13, 17), (5, 9), (0, 17))

HAND_THUMB_CONNECTIONS = ((1, 2), (2, 3), (3, 4))

HAND_INDEX_FINGER_CONNECTIONS = ((5, 6), (6, 7), (7, 8))

HAND_MIDDLE_FINGER_CONNECTIONS = ((9, 10), (10, 11), (11, 12))

HAND_RING_FINGER_CONNECTIONS = ((13, 14), (14, 15), (15, 16))

HAND_PINKY_FINGER_CONNECTIONS = ((17, 18), (18, 19), (19, 20))

HAND_CONNECTIONS_THUMB = frozenset().union(*[
    # # HAND_PALM_CONNECTIONS, 
    HAND_THUMB_CONNECTIONS,
    HAND_INDEX_FINGER_CONNECTIONS, 
    HAND_MIDDLE_FINGER_CONNECTIONS,
    HAND_RING_FINGER_CONNECTIONS, 
    HAND_PINKY_FINGER_CONNECTIONS
])

HAND_CONNECTIONS_THUMB = frozenset().union(*[
    HAND_THUMB_CONNECTIONS,
])

HAND_CONNECTIONS_INDEX = frozenset().union(*[
    HAND_INDEX_FINGER_CONNECTIONS, 
])

HAND_CONNECTIONS_MIDDLE = frozenset().union(*[
    HAND_MIDDLE_FINGER_CONNECTIONS,
])

HAND_CONNECTIONS_RING = frozenset().union(*[
    HAND_RING_FINGER_CONNECTIONS, 
])

HAND_CONNECTIONS_PINKY = frozenset().union(*[
    HAND_PINKY_FINGER_CONNECTIONS
])

HAND_CONNECTIONS_ARRAY = [
    HAND_CONNECTIONS_THUMB,
    HAND_CONNECTIONS_INDEX,
    HAND_CONNECTIONS_MIDDLE,
    HAND_CONNECTIONS_RING,
    HAND_CONNECTIONS_PINKY
    ]












